curl --request POST \
--url https://api.acedata.cloud/fish/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "retrieve",
"id": "task-id"
}
'import requests
url = "https://api.acedata.cloud/fish/tasks"
payload = {
"action": "retrieve",
"id": "task-id"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'retrieve', id: 'task-id'})
};
fetch('https://api.acedata.cloud/fish/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [],
"count": 0
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Fish Tasks
curl --request POST \
--url https://api.acedata.cloud/fish/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "retrieve",
"id": "task-id"
}
'import requests
url = "https://api.acedata.cloud/fish/tasks"
payload = {
"action": "retrieve",
"id": "task-id"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'retrieve', id: 'task-id'})
};
fetch('https://api.acedata.cloud/fish/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [],
"count": 0
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Autorisations
API token from https://platform.acedata.cloud
En-têtes
Fish Tasks Param Accept
application/json Corps
Réponse
Fish Tasks Response 200
- Option 1
- Option 2
- Option 3
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Id.E691Aa8Dd763
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Type.83054C8E80Ed
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Trace Id.35Cc55E298A1
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Fishtaskrequestpayload.4B5Bcf09840B
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Created At.48Bbcd12F997
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Fishtaskresultpayload.6C2D9E738F70
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Started At.08Dd0E23A57D
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Finished At.759A62201C73
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Elapsed.5801Adde8F12
x >= 0Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.User Id.19B7B8E00Adc
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Actor User Id.1D4493E0D897
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Api Id.5Db9C6996560
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Application Id.1498B9Fda1Cd
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Credential Id.B31F0662759E
Openapi.Fc541Faca94147Fdb6F748D6Cb9Da523.Authorization Id.9E87E34D9Ef8
Cette page vous a-t-elle été utile ?

